Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.cms
Interface CatalogContentResponseType

All Superinterfaces:
  ContentManagementServiceResponseType, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, RegistryResponseType

All Known Implementing Classes:
  CatalogContentResponseTypeImpl

    public interface CatalogContentResponseType

extends ContentManagementServiceResponseType

A representation of the model object 'Catalog Content Response Type'.

The following features are supported:

- `Cataloged Content`

See Also:
  `CMSPackage.getCatalogContentResponseType()`

Method Summary
`RegistryObjectListType` | `getCatalogedContent()` Returns the value of the 'Cataloged Content' containment reference.
`void` | `setCatalogedContent(RegistryObjectListType value)` Sets the value of the '`Cataloged Content`' containment reference.

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.rs.RegistryResponseType
`getRegistryErrorList, getRequestId, getResponseSlotList, getStatus, setRegistryErrorList, setRequestId, setResponseSlotList, setStatus`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getCatalogedContent

    RegistryObjectListType getCatalogedContent()

  Returns the value of the 'Cataloged Content' containment reference.

  If the meaning of the 'Cataloged Content' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Cataloged Content' containment reference.
  See Also:
    `setCatalogedContent(RegistryObjectListType)`, `CMSPackage.getCatalogContentResponseType_CatalogedContent()`

### setCatalogedContent

    void setCatalogedContent(RegistryObjectListType value)

  Sets the value of the '`Cataloged Content`' containment reference.

  Parameters:
    `value` - the new value of the 'Cataloged Content' containment reference.
  See Also:
    `getCatalogedContent()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD